#Когда Павел учился в школе, он запоминал таблицу умножения прямоугольными блоками. 
#Для тренировок ему бы очень пригодилась программа, которая показывала бы блок таблицы умножения.
#Напишите программу, на вход которой даются четыре числа aa, bb, cc и dd, каждое в своей строке. 
#Программа должна вывести фрагмент таблицы умножения для всех чисел отрезка 
#[a; b][a;b] на все числа отрезка [c;d][c;d].
#Числа aa, bb, cc и dd являются натуральными и не превосходят 10, 
#a \le ba≤b, c \le dc≤d.
#Следуйте формату вывода из примера, для разделения элементов 
#внутри строки используйте'\t'—символ табуляции.
#Заметьте, что левым столбцом и верхней строкой выводятся сами числа 
#из заданных отрезков — заголовочные столбец и строка таблицы.


a=int(input("блок таблицы умножения: "))
b=int(input("блок таблицы умножения: "))
c=int(input("блок таблицы умножения: "))
d=int(input("блок таблицы умножения: "))
table=[0,1,2,3,4,5,6,7,8,9,10]
print("\n")
for t in table:
	print(a,"*",t,"=",t*a,"\t",b,"*",t,"=",t*b)
print("\n")
for t in table:
	print(c,"*",t,"=",t*c,"\t",d,"*",t,"=",t*d)	
	

#В институте биоинформатики по офису передвигается робот. Недавно студенты из группы программистов написали 
#для него программу, по которой робот, когда заходит в комнату, считает количество программистов в ней 
#и произносит его вслух: "n программистов".
#Для того, чтобы это звучало правильно, для каждого nn нужно использовать верное окончание слова.
#Напишите программу, считывающую с пользовательского ввода целое число nn (неотрицательное), 
#выводящее это число в консоль вместе с правильным образом изменённым словом "программист", 
#для того, чтобы робот мог нормально общаться с людьми, например:1 программист,2 программиста,5 программистов.
#В комнате может быть очень много программистов. Проверьте, что ваша программа правильно обработает 
#все случаи, как минимум до 1000 человек.
#Дополнительный комментарий к условию:
#  Обратите внимание, что задача не так проста, как кажется на первый взгляд. 
#	Если ваше решение не проходит какой-то тест, это значит, что вы не рассмотрели какой-то из случаев 
#	входных данных (число программистов 0 \le n \le 10000≤n≤1000). Обязательно проверяйте 
#	свои решения на дополнительных значениях, а не только на тех, что приведены в условии задания.
#  Так как задание повышенной сложности, вручную код решений проверяться не будет. 
#	Если вы столкнулись с ошибкой в первых четырёх тестах, проверьте, что вы используете 
#	только русские символы для ответа. В остальных случаях ищите ошибку в логике работы программы.

st =[1,]
st_1 = range(21,1000000,10)
sta = [2,3,4]
sta_2 = range(22,1000000,10)
sta_3 = range(23,1000000,10)
sta_4 = range(24,1000000,10)
ov = [0,5,6,7,8,9,11,12,13,14]
ov_5 = range(15,1000000,10)
ov_6 = range(16,1000000,10)
ov_7 = range(17,1000000,10)
ov_8 = range(18,1000000,10)
ov_9 = range(19,1000000,10)
ov_10 = range(10,1000000,10)
ov_11 = range(111,1000000,100)
ov_12 = range(112,1000000,100)
ov_13 = range(113,1000000,100)
ov_14 = range(114,1000000,100)
nn=0
while nn != 10000:
	nn=input("Укажите число программистов в офисе. Выход'q': ")
	if nn == 'q' or nn == 'й':
		break	
	if int(nn) in ov_12 or int(nn) in ov_13:
		print(nn, " программистОВ\n")
	elif int(nn) in st or int(nn) in st_1 and int(nn) not in ov_11:
		print(nn, " прораммиСТ\n")
	elif int(nn) in sta or int(nn) in sta_2 or int(nn) in sta_3 or int(nn) in sta_4 and int(nn) not in ov_12 and int(nn) not in ov_13 and int(nn) not in ov_14:
		print(nn, " программиСТА\n")
	elif int(nn) in ov or int(nn) in ov_5 or int(nn) in ov_6 or int(nn) in ov_7 or int(nn) in ov_8 or int(nn) in ov_9 or int(nn) in ov_10 or int(nn) in ov_11 or int(nn) in ov_12 or int(nn) in ov_13 or int(nn) in ov_14:
		print (nn, " программистОВ\n")
	else:
		print(nn,' - робот, может и посчитает, но это уже маленький город\n')	
		
		
#Паша очень любит кататься на общественном транспорте, а получая билет, 
#сразу проверяет, счастливый ли ему попался. Билет считается счастливым, 
#если сумма первых трех цифр совпадает с суммой последних трех цифр номера билета.
#Однако Паша очень плохо считает в уме, поэтому попросил вас написать программу, 
#которая проверит равенство сумм и выведет "Счастливый", 
#если суммы совпадают, и "Обычный", если суммы различны.
#На вход программе подаётся строка из шести цифр.
#Выводить нужно только слово "Счастливый" или "Обычный", с большой буквы.

pasha=input("введите номер билета: ")
c=0
for a in pasha[:3]:
	c+=int(a)
d=0	
for b in pasha[-3:]:
	d+=int(b)
if c==d:
	print("Счастливый билет")
else:
	print("Сорян, не повезло")
	
		

#Create a data structure that best represents the following scenarios. 
#Tom has a salary of 20 000 and 22 years old.He owns a few items such as a jacket, a car and a TV.
#Mike is another person who makes 24000 and 27 years old,who owns a bike,a laptop and a boat

tom = {'З\П':'20000','Возраст':'22','Имущество':['jackets','car','TV']} 
mike = {'З\П':'24000','Возрас':'27','Имущество':['bike','laptop','boat']}
a=input("Tom or Mike? ")
if a==str('tom') or a==str('Tom'):
	for k_t, v_t in tom.items():
		print(str(k_t)+'\t'+str(v_t))
if a==str('mike') or a==('Mike'):
	for k_m, v_m in mike.items():
		print(str(k_m)+'\t'+str(v_m))


#create the function that converts numbers in an invoice to words.
#the amount can only be an integer from 20 to 100
numbers={
	1:'one', 2:'two', 3:'three', 4:'four', 5:'five', 6:'six',
	7:'seven', 8:'eight', 9:'nine', 20:'twenty', 30:'threety', 
	40:'fourty', 50:'fivety', 60:'sixty',70:'seventy',80:'eughty', 
	90:'ninety', 100:'hundred'
	}  
try:	
	asdf=int(input("укажите число из слваря: "))	
	for key, value in numbers.items(): 
		if asdf == key:
			print(value)
except ValueError:
	print("Все норм, идем дальше")
	
	
